### Method

# EBookContacts SourceBackendSummarySetup set_summary_fieldsv

since: 3.8

#### Declaration [src]

    void
    e_source_backend_summary_setup_set_summary_fieldsv (
      ESourceBackendSummarySetup* extension,
      EContactField* fields,
      gint n_fields
    )

#### Description [src]

Sets the summary fields configured for the given addressbook.

The fields `E_CONTACT_UID` and `E_CONTACT_REV` are not optional, they will be stored in the summary regardless of the configured summary.

An empty summary configuration is assumed to be the default summary configuration.

Only `EContactFields` with the type #G_TYPE_STRING or #G_TYPE_BOOLEAN are currently supported as summary fields..

Available since: 3.8

#### Parameters

`fields`

  Type: `EContactField`

  The array of `EContactFields` to set as summary fields.

  The data is owned by the caller of the method.

`n_fields`

  Type: `gint`

  The number of `EContactFields` in `fields`.